package cn.ezhizao;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 启动程序
 *
 * @author ezhizao
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@EnableFeignClients
@EnableAsync
public class EzhizaoApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "true");
        SpringApplication.run(EzhizaoApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  易制造快速开发框架 api 端启动成功!   ლ(´ڡ`ლ)ﾞ");
    }
}
