package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizAccessories;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 辅料管理Service接口
 *
 * @author ezhizao
 * @date 2024-09-09
 */
public interface IBizAccessoriesService extends IService<BizAccessories>
{
    /**
     * 查询辅料管理列表
     *
     * @param bizAccessories 辅料管理
     * @return 辅料管理集合
     */
    public List<BizAccessories> getList(BizAccessories bizAccessories);

    /**
     * 物理删除
     * @param bizAccessories
     * @return 删除结果
     */
    public int physicalDelete(BizAccessories bizAccessories);

}
