package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizSupplierUser;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 用户 业务层
 *
 * @author ruoyi
 */
public interface IBizSupplierUserService extends IService<BizSupplierUser>
{
    /**
     * 通过用户名查询用户
     *
     * @param supplierId 租户id
     * @return 用户对象信息
     */
    BizSupplierUser getAdminInfo(Long supplierId);
}
