package cn.ezhizao.project.system.mapper;

import cn.ezhizao.project.system.domain.SysUser;

import java.util.List;

/**
 * 用户表 数据层
 *
 * @author ruoyi
 */
public interface SysUserMapper {
    /**
     * 根据userName查询userId
     */
    public SysUser getUserByCode(String userName);

    public List<SysUser> selectUserList(SysUser user);

    List<SysUser> selectEmployeeList(SysUser sysUser);

    int insertUser(SysUser user);

    SysUser checkEmailUnique(String email);

    SysUser checkUserNameUnique(String userName);
    List<SysUser> selectUserListByIds(List<Long> userIds);
    public int updateUser(SysUser user);
    public int deleteUserByIds(List<Long> userIds);
}
