package cn.ezhizao.javasdk.purpurchaseorder;

import lombok.Data;

@Data
public class FBillHead {

    private Integer fId; // 实体主键
    private String fBillNo; // 单据编号
    private String fDocumentStatus; // 单据状态
    private String fApproverId; // 审核人
    private String fApproveDate; // 审核日期
    private String fModifierId; // 修改人
    private String fCreateDate; // 创建日期
    private String fCreatorId; // 创建人
    private String fModifyDate; // 修改日期
    private String fCancelDate; // 作废日期
    private String fCanceler; // 作废人
    private String fCancelStatus; // 作废状态
    private String fDescription; // 备注
    private String fBillType; // 单据类型
    private Boolean fTrustteed; // 受托
    private Integer fWorkShopID0; // 生产车间
    private Integer fPrdOrgId; // 生产组织
    private Integer fPlannerID; // 计划员
    private String fDate; // 单据日期
    private String fOwnerTypeId; // 货主类型
    private Integer fOwnerId; // 货主
    private Integer fWorkGroupId; // 计划组
    private String fBusinessType; // 销售业务类型
    private Boolean fIsRework; // 是否返工
    private Boolean fIsEntrust; // 组织受托加工
    private Integer fEnTrustOrgId; // 委托组织
    private String fPPBOMType; // 用料清单展开
    private Boolean fIssueMtrl; // 生产发料
    private Boolean fIsQCMO; // 期初生产订单
//    private String fScanBox; // 序列号上传
    private String f_TSXL_Text_uky; // 月标识
    private String f_TSXL_DDLB; // 订单类别
    private String f_TSXL_thdh; // 退货单号
//    private String f_TSXL_ywy1; // 业务员


//    private Integer fEntryId; // 实体主键
    private String fParentRowId; // 父级行主键
    private Integer fRowExpandType; // 行展开类型
    private String fRowId; // 行标识
    private Integer fMaterialId; // 物料编码
    private String fMaterialName; // 物料名称
    private String fSpecification; // 规格型号
    private String fProductType; // 产品类型
    private Double fQty; // 制造数量
    private String fPlanFinishDate; // 计划完工时间
    private String fPlanStartDate; // 计划开工时间
    private Integer fLot; // 批号
    private String fMTONO; // 计划跟踪号
    private String fProjectNo; // 项目编号
    private Double fBaseUnitQty; // 基

    // 本单位数量
    private Integer fGroup; // 组别
    private Integer fBomId; // BOM版本
    private Integer fRoutingId; // 工艺路线
    private Double fYieldRate; // 成品率%
    private Double fStockInLimitH; // 入库上限
    private Double fStockInLimitL; // 入库下限
    private Double fStockInQuaSelAuxQty; // 合格品入库选单数量
    private Double fStockInQuaSelQty; // 基本单位合格品入库选单数量
    private Double fStockInFailSelQty; // 基本单位不合格品入库选单数量
    private Double fStockInFailSelAuxQty; // 不合格品入库选单数量
    private Double fStockInQuaQty; // 基本单位合格品入库数量
    private Double fStockInQuaAuxQty; // 合格品入库数量
    private Double fStockInFailQty; // 基本单位不合格品入库数量
    private Double fStockInFailAuxQty; // 不合格品入库数量
    private Integer fStockInOrgId; // 入库组织
    private Integer fStockId; // 仓库
    private String fStockLocId; // 仓位
//    private String fF100004; // 原材料仓库
//    private String fF100005; // 博世原材料仓库
//    private String fF100006; // 辅料仓库
//    private String fF100007; // 金华德原材料仓库
    private String fOperId; // 产出工序
    private String fProcessId; // 产出作业编码
    private String fCostRate; // 成本权重
    private String fMemoItem; // 备注
    private String fPlanConfirmDate; // 计划确认日期
    private String fScheduleDate; // 排程日期
    private String fConveyDate; // 下达日期
    private String fStartDate; // 开工日期
    private String fFinishDate; // 完工日期
    private String fCloseDate; // 结案日期
    private String fCostDate; // 结算日期
    private String fCreateType; // 生成方式
    private String fSrcBillId; // 来源单据ID
    private String fSrcBillEntryId; // 来源单据分录内码
    private String fSaleOrderId; // 销售订单ID
    private String fSaleOrderNo; // 需求单据
    private String fSaleOrderEntryId; // 销售订单分录内码
    private String fRequestOrgId; // 需求组织
    private String fRepQuaSelQty; // 基本单位汇报选单数量
    private String fRepFailQty; // 基本单位不合格数量
    private String fRepQuaSelAuxQty; // 汇报选单数量
    private String fRepQuaAuxQty; // 合格数量
    private String fRepFailAuxQty; // 不合格数量
    private String fRepQuaQty; // 基本单位合格数量
    private String fStatus; // 业务状态
    private String fUnitId; // 单位
    private String fBaseUnitId; // 基本单位
    private String fAuxPropId; // 辅助属性
    private String fBaseStockInLimitH; // 基本单位入库上限
    private String fBaseStockInLimitL; // 基本单位入库下限
    private String fStockInUlRatio; // 入库上限比例
    private String fSrcBillType; // 源单类型
    private String fSrcBillNo; // 源单编号
    private String fSrcBillEntrySeq; // 源单分录行号
    private String fSaleOrderEntrySeq; // 需求单据行号
    private String fBaseYieldQty; // 基本单位成品数量
    private String fCopyEntryId; // 联副产品分录内码
    private String fIsSuspend; // 挂起状态
    private String fStockInLlRatio; // 入库下限比例
    private String fBFLowId; // 业务流程
    private String fRepFailSelQty; // 基本单位汇报不合格选单数量
    private String fRepFailSelAuxQty; // 汇报不合格选单数量
    private String fWorkShopID; // 生产车间
    private String fReqType; // 需求类型
    private String fPriority; // 需求优先级
    private String fSTOCKREADY; // 备料套数
    private String fBaseStockReady; // 基本单位备料数量
    private String fBaseScrapQty; // 基本单位报废数量
    private String fScrapQty; // 报废数量
    private String fBaseRepairQty; // 基本单位返修数量
    private String fRepairQty; // 返修数量
    private String fBaseStockInScrapSelQty; // 基本单位报废品入库选单数量
    private String fStockInScrapSelQty; // 报废品入库选单数量
    private String fBaseStockInScrapQty; // 基本报废品入库数量
    private String fStockInScrapQty; // 报废品入库数量
    private String fInStockOwnerTypeId; // 入库货主类型
    private String fInStockOwnerId; // 入库货主
    private String fInStockType; // 入库类型-推入库单用
    private String fCheckProduct; // 产品检验
    private String fOutPutOptQueue; // 产出序列
    private String fBaseRptFinishQty; // 基本单位汇报完成数量
    private String fRptFinishQty; // 汇报完成数量
    private String fQAIP; // 紧急放行
    private String fYieldQty; // 成品数量
    private String fISBACKFLUSH; // 倒冲领料
    private String fNoStockInQty; // 未入库数量
    private String fBaseNoStockInQty; // 基本单位未入库数量
    private String fReqSrc; // 需求来源
    private String fForceCloserId; // 结案人
    private String fREMWorkShopId; // 产线
    private String fScheduleSeq; // 排产序号
    private String fScheduleStartTime; // 排程开工时间
    private String fScheduleFinishTime; // 排程完工时间
    private String fCloseType; // 结案类型
    private String fScheduleProcSplit; // 排程工序拆分数
    private String fSNUnitID; // 序列号单位
    private String fSNQty; // 序列号单位数量
    private String fReStkQty; // 退库数量
    private String fBaseReStkQty; // 基本单位退库数量
    private String fReStkQuaQty; // 合格品退库数量
    private String fBaseReStkQuaQty; // 基本合格品退库数量
    private String fReStkFailQty; // 不合格品退库数量
    private String fBaseReStkFailQty; // 基本报废品退库数量
    private String fReStkScrapQty; // 报废品退库数量
    private String fBaseReStkScrapQty; // 基本报废品退库数量
    private String fPickMtlQty; // 领补套数
    private String fBasePickMtlQty; // 基本单位领补套数
    private String fISNEWLC; // 是否手工新增联副产品
    private String fPickMtrlStatus; // 领料状态
    private String fBaseIssueQty; // 基本单位发料通知套数
    private String fIssueQty; // 发料通知套数
    private String fSrcSplitBillNo; // 源拆分订单编号
    private String fSrcSplitSeq; // 源拆分订单行号
    private String fSrcSplitEntryId; // 源拆分订单分录内码
    private String fSrcSplitId; // 源拆分生产订单内码
    private String fMOChangeFlag; // 变更标志
    private String fSRCBOMENTRYID; // 上级订单BOM分录内码
    private String fReStkReMadeQty; // 返工品退库数量
    private String fBaseReStkReMadeQty; // 基本单位返工品退库数量
    private String fBaseReMadeQty; // 基本单位返工数量
    private String fReMadeQty; // 返工数量
    private String fBaseStockInReMadeQty; // 基本单位返工品入库数量
    private String fStockInReMadeQty; // 返工品入库数量
    private String fBaseStockInReMadeSelQty; // 基本单位返工品入库选单数量
    private String fStockInReMadeSelQty; // 返工品入库选单数量
    private String FCloseReason ; // 强制结案原因
    private String fBaseScheduledQtySum; // 基本单位已排产数量
    private String fScheduledQtySum; // 已排产数量
    private String fScheduleStatus; // 排产状态
    private String fIsFirstInspect; // 首检
    private String fFirstInspectStatus; // 首检状态
    private String fConfirmId; // 计划确认人
    private String fReleaseId; // 下达人
    private String fStartID; // 开工人
    private String fFinishId; // 完工人
    private String fIsMRP; // 已预留
    private String fBaseSampleDamageQty; // 基本单位样本破坏数
    private String fSampleDamageQty; // 样本破坏数
    private String fISENABLESCHEDULE; // 启用日排产
    private String fPathEntryId; // BOM展开路径
    private String fPPBOMENTRYID; // 用料清单分录内码
    private String fBOMENTRYID; // BOM分录内码
    private String fSrcFormID; // 用料清单类型
    private String fMatchQty; // 预计齐套数量
    private String fInvMatchQty; // 库存齐套数
    private String fCompleteCon; // 齐套状况
    private String fRemarks; // 跟进备注
    private String fMatchDate; // 预计齐套日期
    private String fNOTECOBY; // 联副产品备注
    private String fDirectStockInQuaQty; // 直送合格品入库数量
    private String fDirectPickMtrlSelQty; // 直送领料选单数
    private String fBaseDirectStockInQuaQty; // 直送基本合格品入库数量
    private String fBaseDirectPickMtrlSelQty; // 直送基本单位领料选单数
    private String fFirstQCControlType; // 首检控制方式
    private String fISMRPCAL; // 已计划运算
    private String fIsGenerateOrder; // 生成下级订单标志
    private String fANALYSEPRIORITY; // 齐套优先级
    private String f_TSXL_LLBM; // 领料部门
    private String f_TSXL_JHSL; // 计划数量
    private String f_TSXL_FPQK; // 分批情况
    private String f_TSXL_SPSL; // 首批数量
    private String f_TSXL_WPSL; // 尾批数量
    private String f_TSXL_gybb; // 工艺版本
    private String f_TSXL_CPZT; // 产品状态
    private String f_TSXL_ddy; // 调度员
}
