package cn.ezhizao.javasdk.purpurchaseorder;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;
import cn.ezhizao.javasdk.common.SeqHelper;

import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonObject;
import com.kingdee.bos.webapi.entity.RepoRet;
import com.kingdee.bos.webapi.sdk.K3CloudApi;
import org.junit.FixMethodOrder;
import org.junit.runners.MethodSorters;
import org.testng.annotations.Test;

import static junit.framework.TestCase.fail;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class   PurTest {
    K3CloudApi api = new K3CloudApi();
    static String FNumber = SeqHelper.genNumber("CGDD");
    static String FName = "aucgdd_" + UUID.randomUUID().toString();



    /* 生产订单查询 */
    @Test
    public void executeBillQuery() throws Exception {
        // 创建 KingdeeJson 对象并设置字段值
        FBillHead fBillHead = new FBillHead();
        // 获取 fBillHead 类的所有字段
        Field[] fields = fBillHead.getClass().getDeclaredFields();
        // 构建 fieldKeys 参数字符串
        StringBuilder fieldKeysBuilder = new StringBuilder();
        for (Field field : fields) {
            // 获取字段名
            String fieldName = field.getName();
            // 根据实际需求处理字段名，例如驼峰转下划线等
            // 这里假设直接使用字段名，实际可能需要转换
            fieldKeysBuilder.append(fieldName).append(",");
        }
        // 去掉最后一个逗号
        if (fieldKeysBuilder.length() > 0) {
            fieldKeysBuilder.deleteCharAt(fieldKeysBuilder.length() - 1);
        }
        KingdDeeJson kingdeeJson = new KingdDeeJson();
        String fieldKeys = fieldKeysBuilder.toString();
        kingdeeJson.setFieldKeys(fieldKeys);
        kingdeeJson.setFormId("PRD_MO");
        kingdeeJson.setTopRowCount(0);
        kingdeeJson.setLimit(10);
        kingdeeJson.setStartRow(0);
        kingdeeJson.setFilterString("fId = 100193");
        kingdeeJson.setOrderString("FID ASC");
        Gson gson = new Gson();
        String json = gson.toJson(kingdeeJson);
        List<List<Object>> lists = api.executeBillQuery(json);

        List<FBillHead> fBillHeadList = new ArrayList<>();

        System.out.println("采购订单保存接口: " + lists);
        json=gson.toJson(lists);
        System.out.println("json: " + json);
    }



}
