package cn.ezhizao.project.tool.swagger.dto;

import cn.ezhizao.project.tool.swagger.dto.Request;
import cn.ezhizao.project.tool.swagger.dto.Response;
import lombok.Data;

import java.util.List;

@Data
public class Table {
    /**
     * 配置组
     */
    private String group;
    /**
     * 大标题
     */
    private String title;
    /**
     * 小标题
     */
    private String tag;
    /**
     * url
     */
    private String url;

    /**
     * 响应参数格式
     */
    private String responseForm;

    /**
     * 请求方式
     */
    private String requestType;

    /**
     * 请求体
     */
    private List<Request> requestList;

    /**
     * 返回体
     */
    private List<Response> responseList;

    /**
     * 请求参数
     */
    private String requestParam;

    /**
     * 返回值
     */
    private String responseParam;
}
